Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EC_ProxySupplier.cpp File Reference

`#include "EC_ProxySupplier.h"`
`#include "EC_Dispatching.h"`
`#include "EC_Filter_Builder.h"`
`#include "EC_QOS_Info.h"`
`#include "EC_Event_Channel_Base.h"`
`#include "EC_Scheduling_Strategy.h"`
`#include "EC_ConsumerControl.h"`
`#include "EC_SupplierAdmin.h"`
`#include "orbsvcs/ESF/ESF_RefCount_Guard.h"`
`#include "orbsvcs/ESF/ESF_Proxy_RefCount_Guard.h"`
`#include "ace/Reverse_Lock_T.h"`
`#include "EC_ProxySupplier.i"`

Include dependency graph for EC_ProxySupplier.cpp:

## Typedefs
typedef ACE_Reverse_Lock< ACE_Lock > | TAO_EC_Unlock
typedef TAO_ESF_Proxy_RefCount_Guard< TAO_EC_Event_Channel_Base, TAO_EC_ProxyPushSupplier > | Destroy_Guard
## Functions
const char * | get_rcsid_Event_EC_ProxySupplier (const char *)
## Variables
const char * | rcsid_Event_EC_ProxySupplier = get_rcsid_Event_EC_ProxySupplier ( rcsid_Event_EC_ProxySupplier )

## Typedef Documentation

typedef TAO_ESF_Proxy_RefCount_Guard<TAO_EC_Event_Channel_Base,TAO_EC_ProxyPushSupplier> Destroy_Guard

typedef ACE_Reverse_Lock<ACE_Lock> TAO_EC_Unlock

## Function Documentation

const char* get_rcsid_Event_EC_ProxySupplier | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_Event_EC_ProxySupplier = get_rcsid_Event_EC_ProxySupplier ( rcsid_Event_EC_ProxySupplier )`[static]`